<script setup>
import { Primitive, useForwardProps } from "reka-ui";
import { reactiveOmit } from "@vueuse/core";
import { cn } from "../../../utils/cn";
defineOptions({ name: "UiBreadcrumbLink" });
const props = defineProps({
  asChild: { type: Boolean, required: false },
  as: { type: null, required: false, default: "a" },
  class: { type: [Boolean, null, String, Object, Array], required: false, skipCheck: true }
});
const delegated = reactiveOmit(props, "class");
const forwarded = useForwardProps(delegated);
</script>

<template>
  <Primitive
    data-slot="breadcrumb-link"
    v-bind="forwarded"
    :class="
  cn(
    'cursor-default transition-colors duration-180 hover:text-(--primary)',
    props.class
  )
"
  >
    <slot />
  </Primitive>
</template>
